#include <bits/stdc++.h>
using namespace std;
long long cifra,V,resenje=0;
long long a,b;
int main (){
    cin>>V;
    while(V>0){
    cifra=V%10;
    a=10;
    if(cifra==1){resenje=resenje+1;}
    if(cifra==2){resenje=resenje+1;}
    if(cifra==3){resenje=resenje+2;}
    if(cifra==4){resenje=resenje+2;}
    if(cifra==5){resenje=resenje+1;}
    if(cifra==6){resenje=resenje+2;}
    if(cifra==7){resenje=resenje+2;}
    if(cifra==8){resenje=resenje+3;}
    if(cifra==9){resenje=resenje+3;}
    if(cifra==0){resenje=resenje+0;}
    V=V/10;
    }

  cout<<resenje;

return 0;
}